org.apache.solr.response

## Class SolrParamResourceLoader

- java.lang.Object
- - org.apache.velocity.runtime.resource.loader.ResourceLoader
  - - org.apache.solr.response.SolrParamResourceLoader

-     public class SolrParamResourceLoader
      extends org.apache.velocity.runtime.resource.loader.ResourceLoader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TEMPLATE_PARAM_PREFIX`

    - ### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `className, isCachingOn, log, modificationCheckInterval, rsvc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrParamResourceLoader(SolrQueryRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastModified(org.apache.velocity.runtime.resource.Resource resource)`
    `InputStream` | `getResourceStream(String s)`
    `void` | `init(org.apache.commons.collections.ExtendedProperties extendedProperties)`
    `boolean` | `isSourceModified(org.apache.velocity.runtime.resource.Resource resource)`

    - ### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_PARAM_PREFIX

          public static final String TEMPLATE_PARAM_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SolrParamResourceLoader

          public SolrParamResourceLoader(SolrQueryRequest request)

  - ### Method Detail

    - #### init

          public void init(org.apache.commons.collections.ExtendedProperties extendedProperties)

      Specified by:
        `init` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

    - #### getResourceStream

          public InputStream getResourceStream(String s)
                                        throws org.apache.velocity.exception.ResourceNotFoundException

      Specified by:
        `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
      Throws:
        `org.apache.velocity.exception.ResourceNotFoundException`

    - #### isSourceModified

          public boolean isSourceModified(org.apache.velocity.runtime.resource.Resource resource)

      Specified by:
        `isSourceModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

    - #### getLastModified

          public long getLastModified(org.apache.velocity.runtime.resource.Resource resource)

      Specified by:
        `getLastModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.